function onBegin()
  disableMovement()
  local level = getLevel()
  coroutine.yield(celeste.CutsceneEntity.CameraTo(vector2(2928, 3832), 1))

  say("sophie_Ampersand_Side_ch1_Dialog_001")
  run(64)
  say("sophie_Ampersand_Side_ch1_Dialog_002")
  runTo(3094, 3900)
  say("sophie_Ampersand_Side_ch1_Dialog_003")
  jump()
  runTo(3132, 4016)
end
